## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global mfx_ver_major 2
%global mfx_ver_minor 15

Name:           intel-vpl-gpu-rt
Version:        25.2.6
Release:        %autorelease
Summary:        Intel Video Processing Library (Intel VPL) GPU Runtime
License:        MIT
URL:            https://www.intel.com/content/www/us/en/developer/tools/oneapi/onevpl.html
ExclusiveArch:  x86_64

Source0:        https://github.com/intel/vpl-gpu-rt/archive/intel-onevpl-%{version}/intel-onevpl-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libdrm) >= 2.4
# Should be >= 1.9 but fails with libva < 2.12 (VAProcFilterCap3DLUT):
# https://github.com/oneapi-src/oneVPL-intel-gpu/issues/198
BuildRequires:  pkgconfig(libva) >= 1.12

Requires:       libvpl%{?_isa} >= 1:2.10.1

Obsoletes:      oneVPL-intel-gpu < %{version}-%{release}
Provides:       oneVPL-intel-gpu = %{version}-%{release}

%description
Intel oneVPL GPU Runtime is a Runtime implementation of oneVPL API for Intel GPUs.
Runtime provides access to hardware-accelerated video decode, encode and
filtering.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n vpl-gpu-rt-intel-onevpl-%{version}

%build
%cmake \
-DMFX_ENABLE_AENC=ON
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md CONTRIBUTING.md
%{_libdir}/libmfx-gen.so.1.%{mfx_ver_major}
%{_libdir}/libmfx-gen.so.1.%{mfx_ver_major}.%{mfx_ver_minor}
%dir %{_libdir}/libmfx-gen
%{_libdir}/libmfx-gen/enctools.so

%files devel
%{_libdir}/libmfx-gen.so
%{_libdir}/pkgconfig/libmfx-gen.pc

%changelog
## START: Generated by rpmautospec
* Fri Jul 11 2025 Simone Caronni <negativo17@gmail.com> - 25.2.6-2
- Upload sources to lookaside cache

* Tue Jul 08 2025 Androniychuk, Pavel <pavel.androniychuk@intel.com> - 25.2.6-1
- Update to version 25.2.6

* Mon Jun 23 2025 Simone Caronni <negativo17@gmail.com> - 25.2.5-1
- Update to 25.2.5

* Wed Apr 16 2025 Simone Caronni <negativo17@gmail.com> - 25.1.3-1
- Update to 25.1.3.

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 24.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 27 2024 Simone Caronni <negativo17@gmail.com> - 24.4.4-1
- Update to 24.4.4.

* Thu Nov 28 2024 Simone Caronni <negativo17@gmail.com> - 24.3.4-1
- Update to 24.3.4.

* Tue Sep 10 2024 Simone Caronni <negativo17@gmail.com> - 24.3.3-1
- Update to 24.3.3.

* Mon Aug 05 2024 Simone Caronni <negativo17@gmail.com> - 24.3.1-1
- Update to 24.3.1.

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 24.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 04 2024 Simone Caronni <negativo17@gmail.com> - 24.2.4-1
- Update to 24.2.4.

* Thu May 23 2024 Simone Caronni <negativo17@gmail.com> - 24.2.3-1
- Update to 24.2.3.

* Sat May 04 2024 Simone Caronni <negativo17@gmail.com> - 24.2.2-2
- Require libvpl 2.11.0 for building.

* Sat May 04 2024 Simone Caronni <negativo17@gmail.com> - 24.2.2-1
- Rename from oneVPL-intel-gpu.
- Update to 24.2.2.

## END: Generated by rpmautospec
